/**
 * @license
 * Visual Blocks Language
 *
 * Copyright 2012 Google Inc.
 * https://developers.google.com/blockly/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @fileoverview Generating Python for colour blocks.
 * @author fraser@google.com (Neil Fraser)
 */
'use strict';

goog.provide('Blockly.Python.camera');

goog.require('Blockly.Python');


Blockly.Python['camera_import'] = function(block) {
  var code = 'from picamera import PiCamera\n'
  return code
};




Blockly.Python['camera_use'] = function(block) {
  var camera = block.getFieldValue("CAMERA");
  var sensor = block.getFieldValue("SENSOR");
  var x = block.getFieldValue("X");
  var y = block.getFieldValue("Y");
  var fps = block.getFieldValue("FPS");
  var statement_input = Blockly.Python.statementToCode(block, "STACK")
  var code = "with PiCamera(sensor_mode="+sensor+", resolution=("+x+", "+y+"),\nframerate="+fps+") as "+camera+":\n"
            +statement_input;
  return code
};


Blockly.Python['camera_enable'] = function(block) {
  var mode = block.getFieldValue("MODE");
  var code = 'camera.'+mode + '_preview()\n'
  return code
};

Blockly.Python['camera_set_bounding'] = function(block) {
  var x = block.getFieldValue("X");
  var y = block.getFieldValue("Y");
  var width = block.getFieldValue("WIDTH");
  var height = block.getFieldValue("HEIGHT");
  var code = x+', '+y + ', '+ width+ ", "+ height+' = bounding_box\n'
  return code;
};


